<?php

namespace FiloBlu\MultiDomain\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    protected $_storeManager;

    public function __construct(
    \Magento\Framework\App\Helper\Context $context, \Magento\Store\Model\StoreManagerInterface $storeManager
    ) {

        $this->_storeManager = $storeManager;

        parent::__construct($context);
    }

    public function getConfig($config_path, $section = 'filoblu_multidomain_section') {
        return $this->scopeConfig->getValue(
                        $section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function getCurrentGroup($websiteCode = null) {
        $groupsMapping = unserialize($this->getConfig('general/groups_mapping'));

        if ($groupsMapping && count($groupsMapping)) {

            if (!$websiteCode) {
                $websiteCode = $this->_storeManager->getWebsite()->getCode();
            }
                
            foreach ($groupsMapping as $field) {

                $websiteCodes = explode(",", $field["websitecode"]);
                foreach ($websiteCodes as $code) {
                    if ($websiteCode == trim($code)) {
                        return $field["groupname"];
                    }
                }
            }
        }

        return false;
    }

    public function getCurrentWebsiteCode() {
        $groupsMapping = unserialize($this->getConfig('general/groups_mapping'));
        $currentGroup = $this->getCurrentGroup();

        if($groupsMapping && count($groupsMapping) && $currentGroup)
        {
            $groupCode = "";

            foreach ($groupsMapping as $value)
            {
                if($value["groupname"] == $currentGroup)
                {
                    $groupCode = $value["websitecode"];
                    break;
                }
            }

            $groupCodeArray = explode(",", $groupCode);

            foreach ($groupCodeArray as $key => $code)
            {
                $groupCodeArray[$key] = trim($code);
            }

            return $groupCodeArray;
        }

        return false;
    }

}
